discord icon
سرور دیسکورد گاردایران
Hb051

مشکل ورود به واتس اپ با python selenium

پست های پیشنهاد شده

سلام خدمت همه

 

بنده اخیرا تصمیم گرفتم کدی بنویسم که باهاش بتونم از طریق پایتون با کتابخونه سلنیوم یک ربات واتساپ بنویسم

کد من به شکل پایین هست (تنها برای تست webdriver)

from selenium import webdriver

driver = webdriver.Chrome()

driver.get("https://web.whatsapp.com/")

اما وقتی اجرا میگیرم ازش مرورگر کروم باز میشه ولی سریعا بسته میشه البته اگه driver.get رو ننویسیم مرورگر اجرا میشه با url Data 

اما وقتی از driver.get استفاده میکنم و هر ادرسی میدم بهش مرورگر باز میشه ولی همون لحظه بسته میشه

کسی میدونه مشکل از کجاست؟

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

بعضی مواقع هم مرورگر میره به اون آدرس ولی کدای بعد اون دیگه خونده نمیشه. اینم Result

  File "C:\Users\...\AppData\Local\Programs\Python\Python38\lib\site-packages\urllib3\connectionpool.py", line 670, in urlopen
    httplib_response = self._make_request(
  File "C:\Users\......\AppData\Local\Programs\Python\Python38\lib\site-packages\urllib3\connectionpool.py", line 426, in _make_request
    six.raise_from(e, None)
  File "<string>", line 3, in raise_from
  File "C:\Users\...\AppData\Local\Programs\Python\Python38\lib\site-packages\urllib3\connectionpool.py", line 421, in _make_request
    httplib_response = conn.getresponse()
  File "C:\Users\............\AppData\Local\Programs\Python\Python38\lib\http\client.py", line 1322, in getresponse
    response.begin()
  File "C:\Users\.........\AppData\Local\Programs\Python\Python38\lib\http\client.py", line 303, in begin
    version, status, reason = self._read_status()
  File "C:\Users\......\AppData\Local\Programs\Python\Python38\lib\http\client.py", line 264, in _read_status
    line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
  File "C:\Users\...\AppData\Local\Programs\Python\Python38\lib\socket.py", line 669, in readinto
    return self._sock.recv_into(b)
ConnectionResetError: [WinError 10054] An existing connection was forcibly closed by the remote host

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "code.py", line 4, in <module>
    driver = webdriver.Chrome()
  File "C:\Users\............\AppData\Local\Programs\Python\Python38\lib\site-packages\selenium\webdriver\chrome\webdriver.py", line 76, in __init__
    RemoteWebDriver.__init__(
  File "C:\Users\.........\AppData\Local\Programs\Python\Python38\lib\site-packages\selenium\webdriver\remote\webdriver.py", line 157, in __init__
    self.start_session(capabilities, browser_profile)
  File "C:\Users\......\AppData\Local\Programs\Python\Python38\lib\site-packages\selenium\webdriver\remote\webdriver.py", line 252, in start_session
    response = self.execute(Command.NEW_SESSION, parameters)
  File "C:\Users\...\AppData\Local\Programs\Python\Python38\lib\site-packages\selenium\webdriver\remote\webdriver.py", line 319, in execute
    response = self.command_executor.execute(driver_command, params)
  File "C:\Users\...\AppData\Local\Programs\Python\Python38\lib\site-packages\selenium\webdriver\remote\remote_connection.py", line 374, in execute
    return self._request(command_info[0], url, body=data)
  File "C:\Users\...\AppData\Local\Programs\Python\Python38\lib\site-packages\selenium\webdriver\remote\remote_connection.py", line 397, in _request
    resp = self._conn.request(method, url, body=body, headers=headers)
  File "C:\Users\...\AppData\Local\Programs\Python\Python38\lib\site-packages\urllib3\request.py", line 79, in request
    return self.request_encode_body(
  File "C:\Users\...\AppData\Local\Programs\Python\Python38\lib\site-packages\urllib3\request.py", line 171, in request_encode_body
    return self.urlopen(method, url, **extra_kw)
  File "C:\Users\......\AppData\Local\Programs\Python\Python38\lib\site-packages\urllib3\poolmanager.py", line 336, in urlopen
    response = conn.urlopen(method, u.request_uri, **kw)
  File "C:\Users\...\AppData\Local\Programs\Python\Python38\lib\site-packages\urllib3\connectionpool.py", line 726, in urlopen
    retries = retries.increment(
  File "C:\Users\...\AppData\Local\Programs\Python\Python38\lib\site-packages\urllib3\util\retry.py", line 410, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "C:\Users\...\AppData\Local\Programs\Python\Python38\lib\site-packages\urllib3\packages\six.py", line 734, in reraise
    raise value.with_traceback(tb)
  File "C:\Users\...\AppData\Local\Programs\Python\Python38\lib\site-packages\urllib3\connectionpool.py", line 670, in urlopen
    httplib_response = self._make_request(
  File "C:\Users\...\AppData\Local\Programs\Python\Python38\lib\site-packages\urllib3\connectionpool.py", line 426, in _make_request
    six.raise_from(e, None)
  File "<string>", line 3, in raise_from
  File "C:\Users\...\AppData\Local\Programs\Python\Python38\lib\site-packages\urllib3\connectionpool.py", line 421, in _make_request
    httplib_response = conn.getresponse()
  File "C:\Users\...\AppData\Local\Programs\Python\Python38\lib\http\client.py", line 1322, in getresponse
    response.begin()
  File "C:\Users\...\AppData\Local\Programs\Python\Python38\lib\http\client.py", line 303, in begin
    version, status, reason = self._read_status()
  File "C:\Users\...\AppData\Local\Programs\Python\Python38\lib\http\client.py", line 264, in _read_status
    line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
  File "C:\Users\...\AppData\Local\Programs\Python\Python38\lib\socket.py", line 669, in readinto
    return self._sock.recv_into(b)
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(10054, 'An existing connection was forcibly closed by the remote host', None, 10054, None))

 

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

1.چک کنید که ورژن مرورگر و chromedriver.exe باهم همخونی داشته باشه. حتما از سایت اصلیش دانلود کنین. 

2.قبل از اجرای برنامتون، تمام سشن های مربوط به کروم رو ببندید. 

3.اگه بازم جواب نگرفتید از نسخه های پایینتر کروم + chromedriver استفاده کنین. 

 

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر
در ۱ ساعت قبل، Mr.Python گفته است :

1.چک کنید که ورژن مرورگر و chromedriver.exe باهم همخونی داشته باشه. حتما از سایت اصلیش دانلود کنین. 

2.قبل از اجرای برنامتون، تمام سشن های مربوط به کروم رو ببندید. 

3.اگه بازم جواب نگرفتید از نسخه های پایینتر کروم + chromedriver استفاده کنین. 

 

نگاه کردم ورژن 86 بود درایورشم همینطور و driver.get هم کار کرد ولی مشکلی که هست اینه که کدای بعدش خونده نمیشن و تو cmd وقتی اجرا میکنم علیرغم این که واتساپ وب اجرا میشه

ارور های زیادی میده 

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

کد کامل من:


from selenium import webdriver

driver = webdriver.Chrome()

driver.get('https://web.whatsapp.com/')

name = input('Name: ')

msg = input('Message: ')

count = int(input('Count of Message: '))

input('Enter Anything ...')

user = driver.find_element_by_xpath('//span[@title = "{}"]'.format(name))
user.click()

msg_box = driver.find_element_by_class_name('_3FRCZ')

for i in range(count):
	msg_box.send_keys(msg)

	button = driver.find_element_by_class_name('_1U1xa')
	button.click()

ارور هاشو هم بالا فرستادم

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

طبق اموزشی که تو این لینک قرار داده شده عمل کنین نتیجه میگیرین .

ضمنا برای ارسال پیام باید بین هر پیام حداقل یه مدت زمانی وقفه بذارید وگرنه ارسال پیام به مشکل میخوره.

تو آموزش بالا ما با headless داریم کار میکنیم که شما میتونین بخشهای مربوط به headless و profile رو از کد حذف کنید ، تاروند کار رو بتونین ببینین..

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

برای ارسال دیدگاه یک حساب کاربری ایجاد کنید یا وارد حساب خود شوید

برای اینکه بتوانید دیدگاهی ارسال کنید نیاز دارید که کاربر سایت شوید

ایجاد یک حساب کاربری

برای حساب کاربری جدید در سایت ما ثبت نام کنید. عضویت خیلی ساده است !

ثبت نام یک حساب کاربری جدید

ورود به حساب کاربری

دارای حساب کاربری هستید؟ از اینجا وارد شوید

ورود به حساب کاربری